/***************************************************************************
 *   Copyright (C) 2005 by Nguyen The Toan   *
 *   nguyenthetoan@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef DIRSELECTIONDIALOG_H
#define DIRSELECTIONDIALOG_H

#include "DirTab.h"


class dirSelectionDialog: public dirSelectionTab {
	Q_OBJECT
    public:
	dirSelectionDialog(QWidget *parent = 0, const char *name = 0);
	
	void create_folderselection (QLineEdit *current_entry, 
		QListBox *currentList, bool select_dir);
	
	bool messRadioOff;
	QString mHighScore, mRecord, mConfig, mNvram;
	QString mMemory, mStatus, mIni, mDiff;
		
    public slots:
	void on_execAdd() { create_folderselection (NULL, execList, FALSE); }
	void on_catverBrowse() { create_folderselection (catverEdit, NULL, TRUE); }
	void on_flyerBrowse() { create_folderselection (flyerEdit, NULL, TRUE); }
	void on_cabinetBrowse() { create_folderselection (cabinetEdit, NULL, TRUE); }
	void on_marqueeBrowse() { create_folderselection (marqueeEdit, NULL, TRUE); }
	void on_snapBrowse() { create_folderselection (snapEdit, NULL, TRUE); }
	void on_iconBrowse() { create_folderselection (iconEdit, NULL, TRUE); }
	void on_romAdd() { create_folderselection (NULL, romList, TRUE); }
	void on_sampleAdd() { create_folderselection (NULL, sampleList, TRUE); }
	void on_artBrowse() { create_folderselection (artEdit, NULL, TRUE); }
	void on_messArtBrowse() { create_folderselection (messArtEdit, NULL, TRUE); }
	void on_snapShotBrowse() { create_folderselection (snapShotEdit, NULL, TRUE); }
	void on_videoBrowse() { create_folderselection (videoEdit, NULL, TRUE); }
	void on_historyBrowse() { create_folderselection (historyEdit, NULL, FALSE); }
	void on_mameInfoBrowse() { create_folderselection (mameInfoEdit, NULL, FALSE); }
	void on_cheatBrowse() { create_folderselection (cheatEdit, NULL, FALSE); }
	void on_messCheatBrowse() { create_folderselection (messCheatEdit, NULL, FALSE); }
	void on_highscoreBrowse() { create_folderselection (highscoreEdit, NULL, FALSE); }
	void on_controllerBrowse() { create_folderselection (controllerEdit, NULL, TRUE); }
	void on_highscorePathBrowse() { create_folderselection (highscorePathEdit, NULL, TRUE); }
	void on_recordBrowse() { create_folderselection (recordEdit, NULL, TRUE); }
	void on_gameConfigBrowse() { create_folderselection (gameConfigEdit, NULL, TRUE); }
	void on_nvramBrowse() { create_folderselection (nvramEdit, NULL, TRUE); }
	void on_memoryBrowse() { create_folderselection (memoryEdit, NULL, TRUE); }
	void on_gameStatusBrowse() { create_folderselection (gameStatusEdit, NULL, TRUE); }
	void on_iniBrowse() { create_folderselection (iniEdit, NULL, TRUE); }
	void on_diffBrowse() { create_folderselection (diffEdit, NULL, TRUE); }
	void on_sysinfoBrowse() { create_folderselection (messSysinfoPathEdit, NULL, FALSE); }
	void on_mameMessRadio();
	void on_messBiosBrowse() { create_folderselection (messBiosPathEdit, NULL, TRUE); }
	void on_messSnapBrowse() { create_folderselection (messSnapPathEdit, NULL, TRUE); }
	void on_alternativeBrowse() { create_folderselection (alternativeEdit, NULL, FALSE); }
	void setAllowAlternative(bool);

	void removeSample();
	void removeRom();
	void removeExec();
	
	void updateRemoveButtons();
};

#endif
